strict.perms: false

filebeat.inputs:
  - type: filestream
    id: nginx-access
    paths: ["/var/log/nginx/*.ndjson"]
    parsers:
      - ndjson:
          overwrite_keys: true
          add_error_key: true
    fields:
      service: nginx
      log_type: access
    fields_under_root: true

  - type: filestream
    id: nginx-error
    paths: ["/var/log/nginx/error.log"]
    fields:
      service: nginx
      log_type: error
    fields_under_root: true

  - type: filestream
    id: php-error
    paths: ["/var/log/php/*.log"]
    fields:
      service: php
      log_type: error
    fields_under_root: true

setup.kibana.host: "http://kibana:5601"
setup.kibana.username: elastic
setup.kibana.password: ${ELASTIC_PASSWORD}

output.elasticsearch:
  hosts: ["http://elasticsearch:9200"]
  username: elastic
  password: ${ELASTIC_PASSWORD}
